MPI_Error_class(3)

NAME
MPI_Error_class - Converts an error code into an error class.

SYNTAX

C Syntax
#include <mpi.h>
int MPI_Error_class(int errorcode, int *errorclass)

Fortran Syntax
INCLUDE 'mpif.h'
MPI_ERROR_CLASS(ERRORCODE, ERRORCLASS, IERROR)
	INTEGER	ERRORCODE, ERRORCLASS, IERROR

C++ Syntax
#include <mpi.h>
int Get_error_class(int errorcode)

INPUT PARAMETER

errorcode
    Error code returned by an MPI routine.

OUTPUT PARAMETERS

errorclass
    Error class associated with errorcode.

IERROR
    Fortran only: Error status (integer).

DESCRIPTION
The function MPI_Error_class maps each standard error code (error class) onto itself.

ERRORS
Almost all MPI routines return an error value; C routines as the value of the function and Fortran routines in the last argument. C++ functions do not return errors. If the default error handler is set to MPI::ERRORS_THROW_EXCEPTIONS, then on error the C++ exception mechanism will be used to throw an MPI:Exception object.

Before the error value is returned, the current MPI error handler is called. By default, this error handler aborts the MPI job, except for I/O function errors. The error handler may be changed with MPI_Comm_set_errhandler; the predefined error handler MPI_ERRORS_RETURN may be used to cause error values to be returned. Note that MPI does not guarantee that an MPI program can continue past an error.

SEE ALSO

MPI_Error_string